import unittest

from eaapi.cardconv import konami_to_uid, uid_to_konami


class TestCardconv(unittest.TestCase):
    def test_uid_to_konami(self):
        # return
        self.assertEqual(uid_to_konami("E004000000000000"), "YYBXDXH1U015BA1D")
        self.assertEqual(uid_to_konami("0000000000000000"), "007TUT8XJNSSPN2P")

    def test_konami_to_uid(self):
        # return
        self.assertEqual(konami_to_uid("YYBXDXH1U015BA1D"), "E004000000000000")
        self.assertEqual(konami_to_uid("007TUT8XJNSSPN2P"), "0000000000000000")
